Info<< "Reading field T\n" << endl;

volScalarField T
(
    IOobject
    (
        "T",
        runTime.timeName(),
        mesh,
        IOobject::MUST_READ,
        IOobject::AUTO_WRITE
    ),
    mesh
);

const volScalarField T2
(
    IOobject
    (
        "T2",
        "arbitraryFolder",
        mesh,
        IOobject::MUST_READ,
        IOobject::AUTO_WRITE
    ),
    mesh
);

Info<< "Name:      " <<T2.name() << endl;
Info<< "Path:      " << T2.path() << endl;
Info<< "Instance:  " << T2.instance() << endl;
Info<< "Obj. Path: " << T2.objectPath() << endl;
Info<< "Root Path: " << T2.rootPath() << endl;

// This overwrites the instance() to the timefolder
T2.write(true);

Info<< "---------------------------------" << endl;
Info<< "Name:      " <<T2.name() << endl;
Info<< "Path:      " << T2.path() << endl;
Info<< "Instance:  " << T2.instance() << endl;
Info<< "Obj. Path: " << T2.objectPath() << endl;
Info<< "Root Path: " << T2.rootPath() << endl;

return 0;

Info<< "Reading transportProperties\n" << endl;

IOdictionary transportProperties
(
    IOobject
    (
        "transportProperties",
        runTime.constant(),
        mesh,
        IOobject::MUST_READ_IF_MODIFIED,
        IOobject::NO_WRITE
    )
);


Info<< "Reading diffusivity DT\n" << endl;

dimensionedScalar DT
(
    transportProperties.lookup("DT")
);

#include "createFvOptions.H"
